# 32/64bit spec-file
#
Summary: X File Explorer (Xfe) is a file manager for X. 
Summary(de): X File Explorer (Xfe) ist ein Dateimanager für X.
Name: 	 xfe 
Version: 1.43.2
Release: %mkrel 1
URL:     http://roland65.free.fr/xfe/
Source: %{name}-%{version}.tar.xz
Patch1:		xfe-1.41-xferc-path.patch
License: GPL
Group:   File tools
BuildRequires: %{_lib}fox1.6-devel 
BuildRequires: %{_lib}png-devel
BuildRequires: intltool
BuildRequires: libx11-devel
BuildRequires: libxrandr-devel
BuildRequires: libxft-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:   %name < %version


%description
X File Explorer (Xfe) is a filemanager for X. It is based on the popular
X Win Commander, which was discontinued. Xfe is desktop independent and
is written with the C++ Fox Toolkit. It has Windows Commander or MS-Explorer
look and is very fast and simple. The main features are: file associations,
mount/umount devices, directory tree for quick cd, change file attributes,
auto save registry, compressed archives view/creation/extraction and much more.

%description -l de
X File Explorer (Xfe) ist ein Dateimanager für X. Er basiert auf dem bekannten
X Win Commander, welcher nicht weiter entwickelt wurde. Xfe ist unabhängig vom
Desktop und mit dem  C++ Fox Toolkit geschrieben. Er sieht aus wie der
Windows Commander oder der MS-Explorer und ist sehr schnell und einfach. Die
Haupteigenschaften sind: Dateiassoziationen, ein/aushängen von Datenträgern,
Verzeichnisbaum für schnelle Verzeichniswechsel, das Ändern von Dateiattributen,
komprimierte Archive betrachten/erzeugen/entpacken und vieles mehr.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --prefix=/usr --with-included-gettext --enable-release


%make


%install
rm -rf %{buildroot}
%makeinstall_std

if [ -f %{buildroot}%{_datadir}/locale/locale.alias ]; then
	rm %{buildroot}%{_datadir}/locale/locale.alias
fi

# menu-entry1
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xfe.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Xfe File Manager
Name[de]=Xfe Dateimanager
Comment=Lightweight File Manager
Comment[de]=Leichtgewichtige Dateiverwaltung
Exec=%{name}
Icon=%{name}
Categories=Utility;X-MandrivaLinux-System-FileTools;
EOF
# menu-entry2
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xfv.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Xfe Text Viewer 
Name[de]=Xfe Textbetrachter
Comment=Simple Text Viewer
Comment[de]=Einfacher Textbetrachter
Exec=xfw -r
Icon=xfw
Categories=Utility;X-MandrivaLinux-System-TextTools;
EOF
# menu-entry3
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xfp.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Xfe Pkg Install-Viewer 
Comment=Simple Rpm Package Installer and Viewer
Comment[de]=Einfaches Programm zum Installieren und Betrachten von RPM Paketen
Icon=xfp
Categories=Utility;X-MandrivaLinux-System-Configuration-Packaging;
Exec=gksu -a xfp
EOF
# menu-entry4
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xfi.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Xfe Image Viewer
Name[de]=Xfe Bildbetrachter
Comment=Simple Image Viewer
Comment[de]=Einfacher Bildbetrachter
Exec=xfi
Icon=xfi
Categories=Utility;X-MandrivaLinux-Multimedia-Graphics;
EOF
# menu-entry5
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xfw.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=Xfe Text Editor
Name[de]=Xfe Texteditor
Comment=Simple Text Editor
Comment[de]=Einfacher Texteditor
Exec=xfw
Icon=xfw
Categories=Utility;X-MandrivaLinux-MoreApplications-Editors;
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO BUGS
%{_bindir}/*
%{_datadir}/xfe/icons/*
%{_datadir}/xfe/xferc
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop

%changelog
* Thu Jul 18 2019 tex - 1.43.2-1pclos2019
- new version

* Sun Aug 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.42-1pclos2016
- 1.42

